Bug 100930 - Rework the Settings->Font menu and implementations of fonts
Summary: Rework the Settings->Font menu and implementations of fonts
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-05 23:00 UTC by Kurt Hindenburg
Modified: 2005-11-28 01:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to test new font code (15.70 KB, patch)
2005-03-05 23:03 UTC, Kurt Hindenburg
Details
Patch to test new font code (16.08 KB, patch)
2005-03-06 03:19 UTC, Kurt Hindenburg
Details
Patch to test new font code (15.70 KB, patch)
2005-03-11 19:54 UTC, Kurt Hindenburg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Hindenburg 2005-03-05 23:00:10 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

Change Settings->Font:
     New format:  Settings->Font->Enlarge Font
                                                          Shrink Font
                                                          --------------------
                                                          Select...

This removes all the Tiny->Huge, as well as the Linux/Unicode entires.  The idea is that only fonts that can be selected via the KFontDialog can be used in Konsole.  This "seems" like the "correct" way to handle fonts (IMHO).  This removes the hard-coded entires for Linux and Unicode fonts.
Another issue is that previous konsolerc and profiles font entires will be ignored (Due to the change in the way the font entries are saved).

I'll attach a patch which seems to work... I need to test it further.

If applied, look at konsole_part.
Comment 1 Kurt Hindenburg 2005-03-05 23:03:20 UTC
Created attachment 9992 [details]
Patch to test new font code

There are kdDebug thoughout... just for testing... and any feedback...	a lot
of junk in it... I'll clean it up of course.
Comment 2 Kurt Hindenburg 2005-03-06 03:19:53 UTC
Created attachment 9993 [details]
Patch to test new font code

A much cleaner patch.

Note that each session can have its own font.  Also, waba patch on 2/23 to
apply changes made via KControl fixed font has to be removed.
Comment 3 Kurt Hindenburg 2005-03-10 19:55:38 UTC
Issues:
1. Changing KControl->Appearance->Font->Fixed Width doesn't change the already running Konsoles.
2. 'New Shell' gets the font from the session which was activated first.  For example, if the session manager activates the 3rd tab upon startup, that font will be used for new sessions.

I'm been using this for the past week or so, I can't see any other problems.... 
Comment 4 Kurt Hindenburg 2005-03-11 19:54:06 UTC
Created attachment 10075 [details]
Patch to test new font code

I'll likely be committing this over the weekend.
Comment 5 Kurt Hindenburg 2005-03-12 08:26:05 UTC
CVS commit by hindenburg: 

Add enlarge/shrink to Settings->Font menu.  Allow each session to have
its own font.  Remove hard-coded fonts (unicode/console).

FEATURE: 100930
GUI


  M +2 -1      TEWidget.h   1.85
  M +53 -144   konsole.cpp   1.513
  M +2 -3      konsole.h   1.198
  M +7 -3      main.cpp   1.287
Comment 6 Kurt Hindenburg 2005-03-12 21:20:08 UTC
CVS commit by hindenburg: 

Update the Settings->Font structure in line with konsole's.

CCBUGS: 100930


  M +37 -114   konsole_part.cpp   1.105
  M +3 -7      konsole_part.h   1.25
Comment 7 Richard Neill 2005-11-28 01:55:27 UTC
Only one problem: how do I find the font that used to be called "Unicode" ? 
That font was the one font that I really liked! 
It was always pinsharp, clear, and never got messed up by any antialiasing.